main {
    width: 100%;
    max-width: unset;
}

.grid {
    display: grid;
    grid-template-columns: repeat(auto-fit, minmax(400px, 1fr));
}

.prvok {
    width: 100%;
    box-sizing: border-box;
    padding-left: 6px;
    padding-right: 6px;
    padding-bottom: 20px;
}
  
.nadpis_obrazok {
    display: flex;
    flex-direction: column;
    align-items: center;
}

.nadpis_obrazok a {
    display: flex;
    justify-content: center;
}
.nadpis_obrazok a::after {
    display: none;
}

.nadpis_obrazok img {
    display: block;
    width: 90%;
    height: auto;
    margin-top: 2.8125%;
    margin-bottom: 2.8125%;
    border-radius: 0.7vw;
    border: 2px solid var(--biela);
    
}
.div_obrazok {
    transition: all 0.25s ease-in-out;
}
.div_obrazok:hover {
    scale: 1.1;
}

.nadpis {
    width: 100%;
    display: block !important;
    white-space: nowrap;
    overflow-x: hidden;
    text-overflow: ellipsis;
    padding: 5px;
    font-size: 24px;
    border-radius: 1em;
    text-align: center;
    transition: all 0.25s;
    font-weight: bold;
}
.nadpis:hover {
    background-color: var(--biela_priehladna1);
}
.nadpis::after {
    display: none;
}

.no_video .div_obrazok:hover {
    scale: unset;
    filter: brightness(0.5);
}

.dlzka_videa {
    position: absolute;
    bottom: 10%;
    left: 8%;
    color: var(--biela);
    background-color: var(--cierna_priehladna2);
    padding: 0.2em 0.5em;
    border-radius: 0.5em;
}



@media only screen and (max-width: 1300px) {
    .nadpis {
        font-size: 22px;
    }
}

@media only screen and (max-width: 900px) {
    .prvok {
        margin: 6px 0;
    }
    .nadpis {
        font-size: 19px;
    }
    .nadpis_obrazok img {
        border-radius: 1.5vw;
    }
}
  
@media only screen and (max-width: 600px) {
    .grid {
        display: grid;
        grid-template-columns: repeat(auto-fit, minmax(100%, 1fr));
    }
}